import { defineStore } from 'pinia'

export const useMainStore = defineStore('mainStore', {
  state: () => ({
  }),
  getters: {
    isMobile: () => {
      // 判斷是否為手機裝置
      return /Mobile|Android|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(
        window.navigator.userAgent
      );
    },
  },
  actions: {
  },
})